package mcmas.core;

import java.util.Deque;

public class MCMMemoryContext {
	
	public Deque<MCMObject> objects;
	
	public void add(MCMObject object) {
		objects.addFirst(object);
	}
	
	public void releaseAllObjects() {
		for (MCMObject o : objects) {
			o.release();
		}
	}
}
